Bug 186529 - multimedia/xbmc fails staging due to non-existent file in plist
Summary: multimedia/xbmc fails staging due to non-existent file in plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 10:20 UTC by Matthew Rezny
Modified: 2014-02-17 16:41 UTC (History)
0 users

See Also:


Attachments
file.diff (565 bytes, patch)
2014-02-07 10:20 UTC, Matthew Rezny
no flags Details | Diff
xbmc.cmyth.and.options.txt (2.50 KB, text/plain; charset=US-ASCII)
2014-02-07 10:54 UTC, mickael.maillot
no flags Details
xbmc.diff.txt (2.95 KB, text/plain; charset=US-ASCII)
2014-02-16 22:51 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2014-02-07 10:20:00 UTC
The XBMC port successfully builds without error, but make install fails during staging due to missing libcmyth. I have built XBMC on two machines, one amd64 and one i386. Both have the same problem during make install. Removing the reference to that file from the plist allows install to succeed. XBMC runs and works properly once installed.

I used the following options when building
OPTIONS_FILE_UNSET+=AIRPLAY
OPTIONS_FILE_UNSET+=AIRTUNES
OPTIONS_FILE_SET+=AVAHI
OPTIONS_FILE_UNSET+=CEC
OPTIONS_FILE_SET+=HAL
OPTIONS_FILE_SET+=LAME
OPTIONS_FILE_SET+=LIBBLURAY
OPTIONS_FILE_SET+=LIRC
OPTIONS_FILE_UNSET+=MYSQL
OPTIONS_FILE_SET+=NONFREE
OPTIONS_FILE_UNSET+=PULSEAUDIO
OPTIONS_FILE_SET+=RTMP
OPTIONS_FILE_SET+=SFTP
OPTIONS_FILE_SET+=SMB
OPTIONS_FILE_UNSET+=VAAPI
OPTIONS_FILE_SET+=VDPAU
OPTIONS_FILE_SET+=VORBIS
OPTIONS_FILE_UNSET+=WEBSERVER
OPTIONS_FILE_SET+=XRANDR

How-To-Repeat: _OPTIONS_READ=xbmc-13.0.a11_2
cd /usr/ports/multimedia/xbmc && make install
Comment 1 Edwin Groothuis freebsd_committer 2014-02-07 10:20:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-07 10:20:07 UTC
Maintainer of multimedia/xbmc,

Please note that PR ports/186529 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186529

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2014-02-09 10:19:18 UTC
State Changed
From-To: feedback->open

Maintainer responded with improved patch.
Comment 4 Matthew Rezny freebsd_committer 2014-02-09 20:06:04 UTC
Thank you for the quick patch. I assumed the missing file was related to
an option I toggled, but the name didn't make it obvious which it might
have been. I have tested the patch to confirm for you XBMC does indeed
now build clean with my combination of options and runs just fine.
Thanks again for all your work on this wonderful port.
Comment 5 Thomas Zander freebsd_committer 2014-02-16 16:42:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

I'll take it.
Comment 6 Thomas Zander freebsd_committer 2014-02-16 22:51:35 UTC
I prepared a slight variation of your patch to pet portlint. Could you
double-check whether this is okay?
Thanks and best regards
Riggs
Comment 7 mickael.maillot 2014-02-17 10:13:19 UTC
It's perfect !
thanks


2014-02-16 23:51 GMT+01:00 Thomas Zander <riggs@freebsd.org>:

> I prepared a slight variation of your patch to pet portlint. Could you
> double-check whether this is okay?
> Thanks and best regards
> Riggs
>
Comment 8 dfilter service freebsd_committer 2014-02-17 16:18:33 UTC
Author: riggs
Date: Mon Feb 17 16:18:24 2014
New Revision: 344790
URL: http://svnweb.freebsd.org/changeset/ports/344790
QAT: https://qat.redports.org/buildarchive/r344790/

Log:
  - Fix build error during staging phase
  - Pet portlint
  
  PR:		ports/186529
  Submitted by:	Matthew Rezny <matthew@reztek.cz>, mickael.maillot@gmail.com (maintainer)
  Approved by:	jadawin (co-mentor), mickael.maillot@gmail.com (maintainer)

Modified:
  head/multimedia/xbmc/Makefile
  head/multimedia/xbmc/pkg-plist

Modified: head/multimedia/xbmc/Makefile
==============================================================================
--- head/multimedia/xbmc/Makefile	Mon Feb 17 16:14:39 2014	(r344789)
+++ head/multimedia/xbmc/Makefile	Mon Feb 17 16:18:24 2014	(r344790)
@@ -10,11 +10,6 @@ COMMENT=	Award winning media center appl
 
 LICENSE=	GPLv2
 
-USE_GITHUB=	yes
-GH_ACCOUNT=	xbmc
-GH_COMMIT=	8eb49b3
-GH_TAGNAME=	Gotham_alpha11
-
 BUILD_DEPENDS=	enca:${PORTSDIR}/converters/enca \
 		gawk:${PORTSDIR}/lang/gawk \
 		gperf:${PORTSDIR}/devel/gperf \
@@ -57,6 +52,11 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sqli
 		${PYTHON_PKGNAMEPREFIX}imaging>0:${PORTSDIR}/graphics/py-imaging \
 		xdpyinfo:${PORTSDIR}/x11/xdpyinfo
 
+USE_GITHUB=	yes
+GH_ACCOUNT=	xbmc
+GH_COMMIT=	8eb49b3
+GH_TAGNAME=	Gotham_alpha11
+
 USES=		gmake iconv:wchar_t pkgconfig
 USE_AUTOTOOLS=	autoconf libtool automake libltdl
 GNU_CONFIGURE=	yes
@@ -77,6 +77,7 @@ DESKTOP_ENTRIES="XBMC" \
 		"AudioVideo;Video;" \
 		true
 
+OPTIONS_SUB=	yes
 OPTIONS_DEFINE=	AIRPLAY AIRTUNES AVAHI CEC LAME \
 		LIBBLURAY HAL LIRC MYSQL NONFREE PULSEAUDIO RTMP SFTP \
 		SMB VAAPI VDPAU VORBIS WEBSERVER XRANDR
@@ -111,9 +112,13 @@ HAL_CONFIGURE_ENABLE=	hal
 LAME_LIB_DEPENDS=	libmp3lame.so:${PORTSDIR}/audio/lame
 LAME_CONFIGURE_ENABLE=	libmp3lame
 
+LIRC_RUN_DEPENDS=	lircd:${PORTSDIR}/comms/lirc
+
 MYSQL_USE=	MYSQL=yes
 MYSQL_CONFIGURE_ENABLE=	mysql
 
+NONFREE_CONFIGURE_ENABLE=	non-free
+
 PULSEAUDIO_LIB_DEPENDS=	libpulse.so:${PORTSDIR}/audio/pulseaudio
 PULSEAUDIO_CONFIGURE_ENABLE=	pulse
 
@@ -139,6 +144,9 @@ SFTP_BUILD_DEPENDS=	${LOCALBASE}/lib/lib
 SFTP_RUN_DEPENDS=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
 SFTP_CONFIGURE_ENABLE=	ssh
 
+XRANDR_USE=	XORG=xrandr
+XRANDR_CONFIGURE_ENABLE=	xrandr
+
 CONFIGURE_ARGS+=	--disable-debug --disable-nfs --disable-alsa
 
 .include <bsd.port.options.mk>
@@ -155,25 +163,9 @@ CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBAS
 MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
 .endif
 
-.if ${PORT_OPTIONS:MLIRC}
-RUN_DEPENDS+=	lircd:${PORTSDIR}/comms/lirc
-.endif
-
 .if ${PORT_OPTIONS:MNONFREE}
-CONFIGURE_ARGS+=	--enable-non-free
 NO_CDROM=	Restricted binary distribution
 NO_PACKAGE=	${NO_CDROM}
-.else
-CONFIGURE_ARGS+=	--disable-non-free
-.endif
-
-.if ${PORT_OPTIONS:MXRANDR}
-CONFIGURE_ARGS+=	--enable-xrandr
-USE_XORG+=	xrandr
-PLIST_SUB+=	XRANDR=""
-.else
-CONFIGURE_ARGS+=	--disable-xrandr
-PLIST_SUB+=	XRANDR="@comment "
 .endif
 
 post-patch:

Modified: head/multimedia/xbmc/pkg-plist
==============================================================================
--- head/multimedia/xbmc/pkg-plist	Mon Feb 17 16:14:39 2014	(r344789)
+++ head/multimedia/xbmc/pkg-plist	Mon Feb 17 16:18:24 2014	(r344790)
@@ -31,7 +31,7 @@ lib/xbmc/addons/visualization.projectm/p
 lib/xbmc/addons/visualization.waveform/Waveform.vis
 lib/xbmc/system/ImageLib-%%ARCH%%-freebsd.so
 lib/xbmc/system/hdhomerun-%%ARCH%%-freebsd.so
-lib/xbmc/system/libcmyth-%%ARCH%%-freebsd.so
+%%MYSQL%%lib/xbmc/system/libcmyth-%%ARCH%%-freebsd.so
 lib/xbmc/system/libcpluff-%%ARCH%%-freebsd.so
 lib/xbmc/system/libexif-%%ARCH%%-freebsd.so
 lib/xbmc/system/players/dvdplayer/avcodec-54-%%ARCH%%-freebsd.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Thomas Zander freebsd_committer 2014-02-17 16:41:21 UTC
State Changed
From-To: open->closed

Committed, with minor changes.  Thanks, also from jadawin!